Subject: [Enum] [ticket.frobbit.se #861] Fast lane for Enumservice IANA registration

From: "Stastny Richard via RT" <[email-masked]>
Date: Fri, 24 Mar 2006 21:53:41 +0100 (CET)

Fri Mar 24 21:53:41 2006: Request 861 was acted upon.
Transaction: Ticket created by [email-masked]
       Queue: 3761bis
     Subject: Fast lane for Enumservice IANA registration
       Owner: Nobody
  Requestors: [email-masked]
      Status: new
 Ticket <URL: http://ticket.frobbit.se/Ticket/Display.html?id=861 >

It is proposed to establish a fast lane for rIANA egistration of non-essential Enumservices
using only expert review and not the full RFC cycle.
 
This is derived from a similar approach proposed in 
draft-ietf-dnsext-2929bis-02.txt "DNS IANA Considerations)
for registration of DNS RR.
 
If this can be done for DNS RR, it also is feasible for Enumservices
 
within this I-D the following is proposed:
 
3.1.1 DNS TYPE Allocation Policy
   Parameter values specified above as assigned based on DNS TYPE
   Allocation Policy are allocated by Expert Review if they meet the two
   requirements listed below. If they do not meet these requirements,
   they are allocated by IETF Standards Action as modified by [RFC
   4020].
   1. A complete template as specified in Section 3.1.2 has been posted
      for three weeks to the [email-masked] mailing list
      before the Expert Review.
         Note that partially completed or draft templates may be posted
      for comment.
   2. The RR for which a TYPE code is being requested must be either (a)
      a data TYPE which can be handled as an Unknown RR as described in
      [RFC 3597] or (b) a Meta TYPE who processing is optional, i.e.,
      which it is safe to simply discard.
         Note that such RRs may include additional section processing
      provided such processing is optional.
 
The wording has to be changed appropriate, especially item 2.
 
It is proposed to implement such a procedure for Enumservices
directed to the use of a specific limited community (e.g foaf), to
provent the usaage of x- Enumservices with the potential of name clashes.
 
Until 3761bis is finalized, the procedure could already be implemented via
draft-ietf-enum-enumservices-guide
 
Richard Stastny

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum